# $Revision: 1.7 $, $Date: 2010/04/18 12:49:16 $
# TODO:
# - Shell wrapper
# - Some docs?

# NOTE:
# - It is not just a new version of antlr, so it must not conflicts with antlr-2
# - No, we can not build it from sources. It requires fuckin maven.

%bcond_without	ant		# don't build ant task

%include	/usr/lib/rpm/macros.java

%include	/usr/lib/rpm/macros.java
Summary:	ANother Tool for Language Recognition
Name:		java-antlr3
Version:	3.2
Release:	2
License:	Public Domain
Group:		Development/Languages/Java
Source0:	http://antlr.org/download/antlr-%{version}.jar
# From http://antlr.org/share/1169924912745/antlr3-task.zip
Source1:	ANTLR3.java
Source2:	antlib.xml
# Source0-md5:	ee7dc3fb20cf3e9efd871e297c0d532b
URL:		http://antlr.org/
%if %{with ant}
BuildRequires:	ant
BuildRequires:	jdk
%endif
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
BuildArch:	noarch
Obsoletes:	antlr3 < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANTLR, ANother Tool for Language Recognition, is a language tool that
provides a framework for constructing recognizers, interpreters,
compilers, and translators from grammatical descriptions containing
actions in a variety of target languages. ANTLR provides excellent
support for tree construction, tree walking, translation, error
recovery, and error reporting.

%package -n ant-antlr3
Summary:	Antlr3 task for ant
Summary(pl.UTF-8):	Zadanie antlr3 dla anta
License:	Apache v2
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description -n ant-antlr3
Ant task for antlr3.

%if %{with ant}
%prep
%setup -q -T -c
mkdir -p org/apache/tools/ant/antlr
mkdir build
cp %{SOURCE1} org/apache/tools/ant/antlr
cp %{SOURCE2} org/apache/tools/ant/antlr

%build
CLASSPATH=$(find-jar ant):%{SOURCE0}
export CLASSPATH
export LC_ALL=en_US

javac -d build org/apache/tools/ant/antlr/*java
cp org/apache/tools/ant/antlr/antlib.xml build/org/apache/tools/ant/antlr/antlib.xml

jar cf ant-antlr3.jar -C build org
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/ant

# jars
cp -a %{SOURCE0} $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%if %{with ant}
cp -a ant-antlr3.jar $RPM_BUILD_ROOT%{_javadir}/ant/ant-antlr3.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with ant}
%files -n ant-antlr3
%defattr(644,root,root,755)
%{_javadir}/ant/*.jar
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-antlr3.spec,v $
Revision 1.7  2010/04/18 12:49:16  jajcus
- Obsoletes: antlr3

Revision 1.6  2010/04/18 12:38:11  jajcus
- antlr3 renamed to java-antlr3

Revision 1.5  2010/04/17 07:44:26  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.4  2009/10/13 13:42:21  pawelz
- it does not build with gcj.

Revision 1.3  2009/10/13 13:34:04  pawelz
- added bcond without ant
- rel 1

Revision 1.2  2009/10/13 10:53:18  pawelz
- ant task
- better Group
- adapter

Revision 1.1  2009/10/13 09:43:01  pawelz
- initial. It does not Obsoletes antlr-2.

